Skip to main content
DELETE
/
v1
/
knowledge-bases
/
{kb_id}
Delete Kb
curl --request DELETE \
  --url https://api-tokyo.oneinbox.ai/v1/knowledge-bases/{kb_id} \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-tokyo.oneinbox.ai/v1/knowledge-bases/{kb_id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-tokyo.oneinbox.ai/v1/knowledge-bases/{kb_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api-tokyo.oneinbox.ai/v1/knowledge-bases/{kb_id}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("Authorization", "Bearer <token>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>",
      "input": "<unknown>",
      "ctx": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Your API key sent as a Bearer credential — Authorization: Bearer <api_key>, where <api_key> starts with oi_sk_ (create one via POST /v1/api-keys). Although the field is labelled 'token', paste your API key here. A dashboard JWT is also accepted on this header for the same endpoints.

Path Parameters

kb_id
string<uuid>
required

Response

Successful Response